# RGC-population-failure

Data for Ruda et al 2020


Matlab source data from multi-electrode array recordings of rat retina. 

**Description of variables**

-white_noise_stimulus: Non-repeated, white noise stimulus at two different light levels. The first cell gives the stimulus at the scotopic condition, while the second gives the stimulus at the photopic condition. The dimensions of the stimuli are time frame (varies by recording) by space (130 elements, x and y collapsed into one dimention). The binary stimuli are mean subtracted.

-frame_time: The duration of each stimulus frame in seconds. The first element is for the scotopic light level and the second is for the photopic light level. 

-repeated_white_noise_stimulus: 5 or 10 second white noise sitmulus that was repeated for many trials. This variable has the same structure as white_noise_stimulus.

-repeated_white_noise_stimulus_starts: Time stamps of the start of each repeated white noise trial. The first cell is for the scotopic condition and the second is for the photopic condition.

-OFFbt_info.white_noise_spikes: Spike times at two different light levels for all OFF-bt RGCs in response to the non-repeated white noise stimulus. The first cell gives spike times for the scotopic light level, while the second gives spike times for the photopic light level. Within these cells, each RGC has a cell of its spike timestamps. For example, OFFbt_info.white_noise_spikes{1}{5} gets the spike times of the fifth OFF-bt RGC at the scotopic condition. All spike times are adjusted relative to the onset of the white noise stimulus (white_noise_stimulus{1} or {2}), so that time = 0 for the stimulus is the same as time = 0 for the spikes. 

-OFFbt_info.stas: STAs at each light level for all OFF-bt RGCs. This field has the same structure as the white_noise_spikes field, so that OFFbt_info.stas{1}{5} gives the scotopic STA of the fifth OFF-bt RGC. STAs are 20x130, with time frames in the first dimension and space in the second. To make the STA three-dimensional so it is viewable as a movie, run: 'reshape(OFFbt_info.stas{1}{5}',10,13,20)'. 

-OFFbt_info.all_spikes: Spike times for both the non-repeated white noise stimulus and the repeated white noise stimulus, at two different light levels for all OFF-bt RGCs. This field has the same structure as the others. Note that in our stimulus presentation, we interleave segments of repeated white noise within the non-repeated white noise stimuli to control for nonstationarities in recordings. Use this variable to find spike responses to the repeated white noise stimulus, triggered by the trial start times of the repeats(repeated_white_noise_stimulus_starts). 

-OFFbs_info: same as OFFbt_info for OFF-bs RGCs.

The data for 4 different recordings are provided. The variables for each are the same, except that in the third retina, the recording was only performed at the photopic light level. For that data, the first element of the variables, where the scotopic data would be, are empty.